Bug 6739 - Предлагаю добавить к hsh и Ко параметр --repo
: Предлагаю добавить к hsh и Ко параметр --repo
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-29 16:55 by
Modified: 2006-02-18 02:28 (History)


Attachments
Патч добавляющий указанную функциональность (2.03 KB, patch)
2005-04-29 17:00, Ivan Fedorov
no flags Details | Diff
Новый патч добавляющий указанную функциональность (7.62 KB, patch)
2005-04-29 17:10, Alexey Gladkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-29 16:55:26
Предлагаю добавить к hsh и Ко параметр --repo. Этот параметр будет определять
имя директории с репозиторием, дабы можно было вести несколько "сессий" в
предедлах одного workdir. Это позволит съэкономить место на chroot и других
папках, так как их не придется создавать для каждой сесси.

PS: Есть патч.
------- Comment #1 From 2005-04-29 17:00:42 -------
Created an attachment (id=858) [details]
Патч добавляющий указанную функциональность
------- Comment #2 From 2005-04-29 17:10:05 -------
Created an attachment (id=859) [details]
Новый патч добавляющий указанную функциональность

В предыдущем патче в качестве content-type указан text/plain , но вы его
зажали. Такой патч не удобно смотреть.
------- Comment #3 From 2005-04-29 19:36:58 -------
А можно привести более развёрнутый пример того, зачем это может быть нужно?
------- Comment #4 From 2005-04-29 19:44:50 -------
Это становится удобно когда в работе находится несколько групп пакетов. Чтобы
не
заниматься перемещениями папок repo или целиком workdir (или как я до этого
пользовал симлинки), проще указать название группы в виде:

hsh --repo=repo.GROUP ...
------- Comment #5 From 2005-04-29 20:22:48 -------
Хотя я обычно в таких случаях использую разные каталоги workdir.
------- Comment #6 From 2005-04-30 02:40:50 -------
Ok, applied in 1.0.14-alt1